Gem plugins don't load in Rails 2.3.5 if the bundle is locked #92

Closed
indirect opened this Issue Feb 17, 2010 · 1 comment

Comments

Projects
None yet
1 participant
Owner

indirect commented Feb 17, 2010

While using Bundler 0.9 with Rails 2.3.5, if you bundle lock, gem plugins no longer load. You can work around this by unlocking, or by using bundle exec.

Here is a quick example:

$ git clone indirect/bundler-test
$ cd bundler-test
$ bundle install
Your bundle is complete!
$ ./script/about
/usr/local/Cellar/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:440:in `load_missing_constant': uninitialized constant TwitterAuth::Dispatcher::Shared (NameError)
$ bundle unlock
The bundle is now unlocked. The dependencies may be changed.
$ ./script/about
About your application's environment
Ruby version              1.8.7 (universal-darwin10.0)
RubyGems version          1.3.5
Rack version              1.0
Rails version             2.3.5
Owner

indirect commented Feb 17, 2010

This is fixed as of 44b5c80, and will be included in bundler 0.9.7.

Koronen pushed a commit to Koronen/bundler that referenced this issue Aug 14, 2015

This issue was closed.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment